Package org.eclipse.net4j.channel

# Class ChannelException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.eclipse.net4j.channel.ChannelException

All Implemented Interfaces:
  `Serializable`

public class ChannelException extends RuntimeException
Thrown by an `IChannel` to indicate channel management problems.

Since:
  2.0
Author:
  Eike Stepper
See Also:
  - `IChannelMultiplexer`
  - Serialized Form
No Extend
  This interface is not intended to be extended by clients.

## Constructor Summary

Constructors
Constructor
Description
`ChannelException()`
`ChannelException(String message)`
`ChannelException(String message, Throwable cause)`
`ChannelException(Throwable cause)`

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ChannelException

public ChannelException()

### ChannelException

public ChannelException(String message)

### ChannelException

public ChannelException(Throwable cause)

### ChannelException

public ChannelException(String message, Throwable cause)